from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCmisDocument(XInterface, Protocol):
    def checkOut(self) -> None: ...
    def cancelCheckOut(self) -> None: ...
    def checkIn(self, isMajor: bool, comment: str) -> None: ...
    def isVersionable(self) -> bool: ...
    def canCheckOut(self) -> bool: ...
    def canCancelCheckOut(self) -> bool: ...
    def canCheckIn(self) -> bool: ...
    def updateCmisProperties(self, cmisProperties: CmisProperty>) -> None: ...
    def getAllVersions(self) -> CmisVersion>: ...
